Advertisement
Guest User

Untitled

a guest
May 25th, 2018
90
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
Python 0.54 KB | None | 0 0
  1. import clr
  2. clr.AddReference('ProtoGeometry')
  3. from Autodesk.DesignScript.Geometry import *
  4. #The inputs to this node will be stored as a list in the IN variables.
  5. dataEnteringNode = IN
  6.  
  7. people = ["joe","jim","mike","tony","jim","jim"]
  8.  
  9. dudes = []
  10. outtage = []
  11. done = []
  12. unique_names = []
  13.  
  14.  
  15. for person in people:
  16.     new_name = person
  17.     counter = 1
  18.     while new_name in unique_names:
  19.         counter += 1
  20.         new_name = new_name + " " + str(counter)
  21.     unique_names.append(new_name)
  22.  
  23. #Assign your output to the OUT variable.
  24.  
  25. OUT =  unique_names
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement